
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>设计模式之原型模式 / iVAN</title>

    <meta name="description" content="设计模式之原型模式 一.引入 小菜的问题:要把简历发到多家公司,简历的份数就必须足够. 大鸟的回答:用编程来复制自己简历. 二.解决过程 ① 最初的写法:  简历类: &lt;span style=&quot;font-family:KaiTi_GB2312;font-size:24px;&quot;&gt;class Resume { private string name; private string sex; private string age; private string timeArea; priv ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">设计模式之原型模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一.引入</strong></p>
<p>小菜的问题：要把简历发到多家公司，简历的份数就必须足够。</p>
<p>大鸟的回答：用编程来复制自己简历。</p>
<p><strong>二.解决过程</strong></p>
<p>① 最初的写法：</p>
<p> 简历类：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;class Resume
        {
            private string name;
            private string sex;
            private string age;
            private string timeArea;
            private string company;

            public Resume(string name)
            {
                this.name = name;
            }

            //设置个人信息
            public void SetPersonalInfo(string sex, string age)
            {
                this.sex = sex;
                this.age = age;
            }
            //设置工作经历
            public void SetWorkExperience(string timeArea, string company)
            {
                this.timeArea = timeArea;
                this.company = company;
            }
            //显示
            public void Display()
            {
                Console.WriteLine("{0} {1} {2}", name, sex, age);
                Console.WriteLine("工作经历：{0} {1}", timeArea, company);
            }
        }
&lt;/span&gt;</pre>
<p>客户端调用代码：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;static void Main(string[] args)
        {
            Resume a = new Resume("大鸟");
            a.SetPersonalInfo("男", "29");
            a.SetWorkExperience("1998-2000", "XX公司");

            Resume b = new Resume("大鸟");
            b.SetPersonalInfo("男", "29");
            b.SetWorkExperience("1998-2000", "XX公司");

            Resume c = new Resume("大鸟");
            c.SetPersonalInfo("男", "29");
            c.SetWorkExperience("1998-2000", "XX公司");

            a.Display();
            b.Display();
            c.Display();

            Console.Read();
        }&lt;/span&gt;</pre>
<p>这样，确实可以做到复制出多份简历，但想要修改简历，每一个实例化的简历都需要修改。这样的工作就很庞大了。</p>
<p>② 传引用写法：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;static void Main(string[] args)
        {
            Resume a = new Resume("大鸟");
            a.SetPersonalInfo("男", "29");
            a.SetWorkExperience("1998-2000", "XX公司");

            Resume b = a;
            Resume c = a;

            a.Display();
            b.Display();
            c.Display();

            Console.Read();
        }&lt;/span&gt;</pre>
<p>这样，代码虽然简单了，但根本没有做到复制简历，b和c纸张上无法将a上的内容得到。</p>
<p><strong>三.应用</strong><br />
<br />原型模式（Prototype）：用原型实例指定创建对象的种类，并且通过拷贝这些原型创建新的对象。</p>
<p>创建原型类：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt; abstract class Prototype
        {
            private string id;
            public Prototype(string id)
            {
                this.id = id;
            }
            public string Id
            {
                get { return id; }
            }
            public abstract Prototype Clone();//抽象类的关键方法Clone
        }&lt;/span&gt;</pre>
<p>具体原型类：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;class ConcretePrototype1 : Prototype
        {
            public ConcretePrototype1(string id)
                : base(id)
            {
            }
            public override Prototype Clone()
            {
                return (Prototype)this.MemberwiseClone();
            }
        }
&lt;/span&gt;</pre>
<p>客户端代码：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;        static void Main(string[] args)
        {
            ConcretePrototype1 p1 = new ConcretePrototype1("I");
            ConcretePrototype1 c1 = (ConcretePrototype1)p1.Clone();
            Console.WriteLine("Cloned:{0}", c1.Id);
            Console.Read();
        }&lt;/span&gt;</pre>
<p>利用ICloneable接口实现简历原型：</p>
<p>简历类：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;class Resume : ICloneable
        {
            private string name;
            private string sex;
            private string age;
            private string timeArea;
            private string company;

            public Resume(string name)
            {
                this.name = name;
            }
            //设置个人信息
            public void SetPersonalInfo(string sex, string age)
            {
                this.sex = sex;
                this.age = age;
            }
            //设置工作经历
            public void SetWorkExperience(string timeArea, string company)
            {
                this.timeArea = timeArea;
                this.company = company;
            }
            //显示
            public void Display()
            {
                Console.WriteLine("{0} {1} {2}", name, sex, age);
                Console.WriteLine("工作经历：{0} {1}", timeArea, company);
            }
            public object Clone()
            {
                return (object)this.MemberwiseClone();
            }
&lt;span style="white-space:pre"&gt;	&lt;/span&gt;}&lt;/span&gt;</pre>
<p>客户端代码：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;            static void Main(string[] args)
            {
                Resume a = new Resume("大鸟");
                a.SetPersonalInfo("男", "29");
                a.SetWorkExperience("1998-2000", "XX公司");

                Resume b = (Resume)a.Clone();
                b.SetWorkExperience("1998-2006", "XX公司");

                Resume c = (Resume)a.Clone();
                c.SetWorkExperience("男", "24");

                a.Display();
                b.Display();
                c.Display();

                Console.Read();
            }
&lt;/span&gt;</pre>
<p><strong>四.扩展</strong></p>
<p>① 浅复制：</p>
<p>被复制对象的所有变量都含有与原来的对象相同的值，而所有的对其他对象的引用都仍然指向原来的对象。这样的定义很难理解，就拿实例结果说话吧：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEyMDIxNTA3MzU4Njk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YUhWZmVtaHBkR2x1Wnc9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEyMDIxNTA4MTYyMDM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YUhWZmVtaHBkR2x1Wnc9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<p>原本想要前图那样的效果，结果却是后图。这样一个过程也就是浅复制的过程，看似复制了，但实际上内容并没有得到复制。</p>
<p>② 深复制：</p>
<p>把引用对象的变量指向复制过的新对象，而不是原有的被引用的对象。</p>
<p>工作经历类：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;class WorkExperience:ICloneable //让“工作经历”实现ICloneable接口
    {
        private string workDate;
        public string WorkDate
        {
            get {return workDate;}
            set {workDate=value;}
        }
        private string company;
        public string Company
        {
            get { return company; }
            set { company = value; }
        }
        public Object Clone()
        {
            return (Object)this.MemberwiseClone();//“工作经历”类实现克隆方法
        }&lt;/span&gt;</pre>
<p>简历类：</p>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;private Resume(WorkExperience work)
        {
            this.work = (WorkExperience)work.Clone();//提供Clone方法调用的私有构造函数，以便克隆“工作经历”的数据
        }&lt;/span&gt;</pre>
<pre>&lt;span style="font-family:KaiTi_GB2312;font-size:24px;"&gt;public Object Clone()
        {
            Resume obj = new Resume(this.work);//调用私有的构造方法，让“工作经历”克隆完成，然后再给“简历”对象的相关字段赋值
            obj.name = this.name;
            obj.sex = this.sex;
            obj.age = this.age;
            return obj;
        }&lt;/span&gt;</pre>
<p>从而达到我们想要的结果，如下图：<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEyMDIxNTIxMjI1NjI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YUhWZmVtaHBkR2x1Wnc9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg"></p>
<p><strong>五.学习心得</strong></p>
<p>对于这一过程的学习，觉得原型模式很简单，生活中也很常见，只要给出一个原型的种类就行。复制简历，是一个很常见的实例，运用原型模式，也确实是最佳体现。至于后面的浅复制与深复制的学习，刚开始不知道他们想表达的是什么意思，于是从结果出发，浅复制的结果不是所想要得到的，深复制才是，这时候便去研究两者的代码，两者的结构图，才发现，其实也很简单，只要将“工作经历”这一类同样利用接口去实现，就可以达到其想要达到的效果了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 04:46:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>设计模式之原型模式的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEE5ob.html" rel="bookmark">java设计模式---prototype&lpar;原型&rpar;模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计 java设计模式---prototype(原型)模式 定义:用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象.      Prototype模式允许一个对象再创建另外一个可定制的对象,根本无需知道任何如何创建的细节,      工作原理是:通过将一个原型对象传给那个要发动创建的对象,这个要发动创建的对象通过请求      原型对象拷贝它们自己来实施创建.      适用性:当要实例化的类是在运行时刻指定时,例如,通过动态装载:或者  为了避免创建一个与产品类层次平行的工厂类层			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLODeaM.html" rel="bookmark">浅谈Java设计模式关于原型模式&lpar;Prototype&rpar;思索建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java教程:关于Java设计模式关于原型模式(Prototype) IT信息技术http://www.52ij.com/jishu/ 首先需要弄清楚什么叫原型模式,或者说为什么要有原型模式,运用它会给我们带来什么或能解决什么问题?原型模式(Prototype)同抽象工厂模式同属于创建型模式,它主要关注于大量相同或相似对象的创建问题,应用原型模式就是先需要一个原对象,然后通过对原对象进行复制(克隆),来产生一个与原对象相同或相似的新对象.注意这里所说的对象相同不是指复制出来的副本对象与原对象是同			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RYk0z.html" rel="bookmark">C&num;设计模式&lpar;6&rpar;&mdash;&mdash;原型模式（Prototype Pattern）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:C#设计模式(6)--原型模式(Prototype Pattern) 一.引言 在软件系统中,当创建一个类的实例的过程很昂贵或很复杂,并且我们需要创建多个这样类的实例时,如果我们用new操作符去创建这样的类实例,这未免会增加创建类的复杂度和耗费更多的内存空间,因为这样在内存中分配了多个一样的类实例对象,然后如果采用工厂模式来创建这样的系统的话,随着产品类的不断增加,导致子类的数量不断增多,反而增加了系统复杂程度,所以在这里使用工厂模式来封装类创建过程并不合适,然而原型模式可以很好地解决这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0X3BM.html" rel="bookmark">设计模式之八&lpar;原型模式&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:设计模式之八(原型模式) 前言 原型模式:用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象. 结构图 Prototype,原型类,声明一个克隆自身的接口 ConcretePrototype1,ConcretePrototype2具体原型类,实现一个克隆自身的操作 Client,调用,让一个原型克隆自身从而创建一个新的对象 其实原型模式就是从一个对象再创建另外一个可定制的对象,而且不需知道任何创建的细节. 代码实现  Prototype原型类设计代码 public abstra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnyQWM.html" rel="bookmark">乐在其中设计模式&lpar;C&num;&rpar; - 原型模式&lpar;Prototype Pattern&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:乐在其中设计模式(C#) - 原型模式(Prototype Pattern)[索引页][源码下载] 乐在其中设计模式(C#) - 原型模式(Prototype Pattern) 作者:webabcd 介绍 用原型实例指定创建对象的种类,并且通过拷贝这个原型来创建新的对象. 示例 有一个Message实体类,现在要克隆它. MessageModel using System;using System.Collections.Generic;using System.Text;namespac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqNa4z.html" rel="bookmark">大话设计模式之原型模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       外国人把那京戏叫做&quot;Beijing Opera &quot; 没见过那五色的油彩楞往脸上画,四击头一亮相,(哇--)美极了妙极了,简直&quot;ok&quot;顶呱呱 ,蓝脸的多尔敦盗御马,红脸的关公战长沙 ,黄脸的典韦白脸的曹操 ,黑脸的张飞叫喳喳-- ,细心的小朋友,仔细区分就会发现,虽然每个京剧演员都不同,但基本上只具有几种脸型,长方形,圆形,细长,然后配上不同的妆容,胡子,眉毛,头饰,服装,有的再加点儿装饰物,就成了我们所看到的不同的演员角色,国粹和我们的编程有着什么样的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94B6gb.html" rel="bookmark">设计模式：原型模式（Prototype）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 原型模式:用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象.  举个例子: 1 原型(实际上是implements了Cloneable接口,进而重写clone()方法) public class ProtoType implements Cloneable { private String name; @Override public ProtoType clone() { try { return (ProtoType)super.clone(); } catch (Clone			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NPeap.html" rel="bookmark">C&plus;&plus;设计模式之原型模式&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是原型模式? 在GOF的&lt;设计模式:可复用面向对象软件的基础&gt;中是这样说的:用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象.这这个定义中,最重要的一个词是&quot;拷贝&quot;,也就是口头上的复制,而这个拷贝,也就是原型模式的精髓所在. 举一个最简单的例子来说明原型模式:记得上小学的时候,老师把需要做的课外习题写到黑板上,而下面的我们都要把这些题抄写到自己的本子上,回家做好,第二天交上来,也就是每道题,全班50个人,每个人都要抄写一遍.按照现在的时间理论来说,就是浪费			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YV9np.html" rel="bookmark">【秒懂设计模式】原型模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 秒懂设计模式--原型模式 (五)原型模式 [官方定义]用原型实例指定创建对象的种类,并且通过拷贝这些原型,创建新的对象,属于对象创建模式. [举例]在找工作的时候,通常需要我们的毕业证和学位证,但是我们一般不会把原件(原型实例)给到用人单位,而是会把原件复印(拷贝)几份,然后供用人单位使用. [Java代码] ①创建一个证书抽象类. package com.liyan.prototype; /** * 证书抽象类 * &lt;p&gt;Title: Certificate&lt;/p&gt; * @au			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvEvqab.html" rel="bookmark">iOS设计模式之原型模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				What is the 原型模式? 原型设计模式是通过一个原型拷贝的方式快速创建一个新的对象. 拷贝分为两种: 浅拷贝(同一个地址,不同的指针) 深拷贝(不同的地址,完全的独立) 二者区别在于是否生成新的一个地址 When using the 原型模型? 需要创建的对象应独立于其类型与创建方式. 要实例化的类是在运行时决定的. 不想要与产品层次相对应的工厂层次. 不同类的实例间的差异仅仅是状态的若干组合.因此复制相应数量的原型比手工实例化更加方便. 类不容易创建,比如每个组件可把其他组件作为子节			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlBVYz.html" rel="bookmark" class="title">CorelDraw丢失字体而系统字体正常</a>
					<div>
						问:CorelDRAW中原有的字体怎么失踪了? CorelDRAW时间用长了,经常会发现丢失字体的现象.检查Windows下面的Fonts目录,却发现所有的字体均完好无损,打开其它软件(如Word), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEYYJb.html" rel="bookmark" class="title">互联网产品设计的用户体验设计来自平凡生活</a>
					<div>
						文章描述:来自平凡生活的用户体验设计启示. 用户体验设计,来源自用户关怀,目的是产品和用户双赢. 用户,则是广大真实存在的人们,那么来源自生活的用户体验启发,对于虚拟产品的用户体验设计,具有极大的借鉴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4WmJp.html" rel="bookmark" class="title">Photoshop制作精致的紫色水晶心形</a>
					<div>
						作者制作心形的时候非常细致,加入了很多细节,如中间的网状光束,星光,边缘线条,光斑背景等,虽然制作繁琐一点,不过效果非常细腻. 最终效果 1.新建大小自定画布,新建一个图层,建立一条路径,调整到你想象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN2OmM.html" rel="bookmark" class="title">Number 对象</a>
					<div>
						对象   代表数值数据类型和提供数值常数的对象. numObj = new Number(value) 参数 numobj 必选项.要赋值为 Number 对象的变量名. value 必选项.Requ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVoyYb.html" rel="bookmark" class="title">用DATABASEPROPERTYEX&lpar;&rpar;检查恢复过程的状态</a>
					<div>
						果你正在进程中恢复数据库,在恢复过程后需要做了几步工作,那么你可以用DATABASEPROPERTYEX()系统函数检查恢复过程的状态.这个函数的状态属性将表明这个数据库状态的结果.这是个SQL Se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5loqM.html" rel="bookmark" class="title">DataGrid&lpar;WinForm&rpar;显示行号最简单的方法</a>
					<div>
						datagrid|显示 同样是重载OnPaint 方法,但是方法应该是比较巧妙的!而且不用担心标题是不是有显示,也不用去计算坐标,很方便的说! protected override void OnPa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91W0kM.html" rel="bookmark" class="title">配置对WebSphere Service Registry and Repository的访问</a>
					<div>
						为 LDAP 用户注册表中定义的用户和组配置对 WebSphere Service Registry and Repository 的访问 简介 JKHL Enterprises(下文简称 JKHLE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7lm3M.html" rel="bookmark" class="title">在Word 2010页面视图中显示页面间空白</a>
					<div>
						在Word 2010文档中,用户可以根据需要隐藏或显示页面间的空白部分(即上下页边距,包括页眉和页脚的内容),具体设置 步骤如下所述: 第1步,打开Word 2010文档窗口,依次单击&quot;文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6lXDz.html" rel="bookmark" class="title">老调重提&comma;面向对象技术在SDK中的应用</a>
					<div>
						这次写这篇文章,还是重复我上两篇的写作风格,(数据结构篇&quot;老调重提,利用SDK实现迷宫算法&quot;,算法篇,&quot;老调重提,利用SDK实现五子棋&quot;),而现在这篇则是面向对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPKGQz.html" rel="bookmark" class="title">Android粉丝眼中iOS 7与Android 4&period;2功能对比</a>
					<div>
						苹果WWDC大会结束后,著名Android论坛Droid-life发布了iOS 7与Android4.2操作系统功能对比的文章,作者作为Android 粉丝,称谷歌早已懒得在发布会上小气地讥讽对手,苹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4Xj9p.html" rel="bookmark" class="title">控制PPT幻灯片切换的技巧</a>
					<div>
						  控制PPT幻灯片切换的技巧         1.打开演示文稿,在&quot;幻灯片放映&quot;选项卡的&quot;开始放映幻灯片&quot;组中单击&quot;从头开始&quot;按钮开始放映 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62BBNM.html" rel="bookmark" class="title">阿里云如何使用删除交换机接口</a>
					<div>
						删除交换机 描述 删除指定的VSwitch 只允许删除Available状态下的VSwitch 删除VSwitch之前,需要先释放或移走VSwitch下的所有产品实例,比如ECS实例 指定RouteT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXXLAp.html" rel="bookmark" class="title">如何建立一个样式新颖的CSS3搜索框</a>
					<div>
						  在线演示 搜索框大概是web开发中最常用的UI元素之一,我想基本没有必要去介绍如何使用它.无论是网站还是web应用,都会为了增强用户体验而添加它,那么你是不是也想过设计一个别致的搜索框? 在今天的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZBk8z.html" rel="bookmark" class="title">电脑插入U盘后蓝屏是怎么回事如何解决</a>
					<div>
						U盘插入电脑后,导致电脑蓝屏的原因有很多,比如可能是U盘感染了一种病毒,让系统重新启动.或是用U盘启动电脑不成功而蓝屏并自动重新启动电脑,另外,也可能是电脑蓝屏属于电脑本身故障,恰巧U盘插入电脑,电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa6J0z.html" rel="bookmark" class="title">如何在Android中实现渐显按钮的左右滑动效果&lowbar;Android</a>
					<div>
						先看下运行效果:    程序结构: MainActivity文件中代码: 复制代码 代码如下: package com.android.buttonpageflipper;import android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7wdKz.html" rel="bookmark" class="title">阿里云2017双十一红包优惠来啦 分享领更多还可以抽天猫红包哦</a>
					<div>
						天猫双十一的超级红包如火如荼的进行着,盼望着盼望着,阿里云的双十一活动终于来啦!2017阿里云双十一可以领红包啦!分享给好友可以领取更多红包,每天分享每天领,红包还可以参与抽奖哦,抽取天猫红包! 一: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVLxAb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;网络身份验证系统&rdquo;？翻译误读出来的新举措</a>
					<div>
						近日,各大新闻网站乃至多家传统媒体都在报道&quot;国新办表示,为加强对互联网的控制,正在开发一套网络身份验证系统&quot;的消息.记者核实发现,该消息并无确凿官方来源,所谓&quot;网络身份验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7D8vz.html" rel="bookmark" class="title">&lbrack;PHP&rsqb; curl CURLOPT&lowbar;TIMEOUT&lowbar;MS 小于1秒 解决方案</a>
					<div>
						CURLOPT_TIMEOUT 设置cURL允许执行的最长秒数 CURLOPT_TIMEOUT_MS 设置cURL允许执行的最长毫秒数 CURLOPT_CONNECTTIMEOUT 在发起连接前等待的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94xQRb.html" rel="bookmark" class="title">【译】17个提升iOS开发效率的必用工具</a>
					<div>
						[译]17个提升iOS开发效率的必用工具 2015-11-10 09:44 编辑: suiling 分类:iOS开发 来源:netguru.co 本文由CocoaChina译者@红茶魔术师-大红袍 翻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX17Vz.html" rel="bookmark" class="title">socket-求一个C&num;的Webocket案列源码。</a>
					<div>
						问题描述 求一个C#的Webocket案列源码. 求一个C#的Webocket案列源码.最好是能有即时通讯的那种.先谢谢了! 解决方案 参考codeplex开源项目WebSocket4Net项目首页有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAKK8p.html" rel="bookmark" class="title">教你如何将一个没有流量的站做到5000IP</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 希望大家看看,这个办法绝对是行得通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLlnZp.html" rel="bookmark" class="title">新手求解答一下-win7 64位兼容vs2015社区版吗</a>
					<div>
						问题描述 win7 64位兼容vs2015社区版吗 来个大神解答,一定要确定偶,不然下载一下不能用的话,卸载就太麻烦了 解决方案 兼容.不过前提是你的win7 64位不是山寨盗版的,并且安装了sp1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAJR6p.html" rel="bookmark" class="title">草根新闻播报成网络淘金新方式</a>
					<div>
						以调侃的口吻说新闻.以小品的形式演绎新闻.以互动的方式邀请 网友共同点评新闻--如今,这样的原创新闻播报视频相当走红.&quot;山寨新闻&quot;和&quot;火星新闻&quot;就是其中的佼佼者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqKnmb.html" rel="bookmark" class="title">android-surfaceview 是什么意思？</a>
					<div>
						问题描述 surfaceview 是什么意思? SurfaceView是View类的子类,可以直接从内存或者DMA等硬件接口取得图像数据, 看到这句话,请问从内存或dma硬件接口获取图像数据 是什么意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBkV5z.html" rel="bookmark" class="title">一个按钮的单击事件处理函数</a>
					<div>
						问题描述 voidCVCDDlg::OnOpenButton(){charszFilter[]=&quot;AVIFile(*.avi)|(*.avi)|MovieFile(*.mov)|(*.mov ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZNBlp.html" rel="bookmark" class="title">【北京公司招聘】delphi和C&num;程序员&starf;&starf;&starf;外地员工提供住宿</a>
					<div>
						问题描述 ★★★有问题请email联系,请勿跟贴★★★我公司是酒店业,餐饮零售服务行业,电脑管理解决方案的专业公司北京公司地址:北京市朝阳区世纪东方城说明:1.待遇不封顶,依个人实际工作能力而定,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7GDOz.html" rel="bookmark" class="title">屌丝的音译dios，在西班牙语里的意思是&OpenCurlyDoubleQuote;上帝&rdquo;</a>
					<div>
						曾记得,以前网络上有人做过一个针对女性的小调查,如果可以选择你会选择哪个国际的人做你的 丈夫?可想而知,答案一定会多种多样,美国.法国.西班牙等等,其实她们喜欢的,也并不是所有的美国人.法国人,而是因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX087Qp.html" rel="bookmark" class="title">寒假手机病毒增5倍 交友软件下载须谨慎</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   硅谷网讯  春节临近,很多大中小学都开始准备放寒假.很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqg84p.html" rel="bookmark" class="title">新手 c&plus;&plus; 编译器-win8环境下的c&plus;&plus;编译器</a>
					<div>
						问题描述 win8环境下的c++编译器 win8环境下,能够兼容的比较好的,功能足够强大的c++编译器,有哪些? 解决方案 VS2010 vs2012 解决方案二: VS2013和VS2015这两个跟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyQa6z.html" rel="bookmark" class="title">s5pv210-三星S5pv210开发板的tslib移植</a>
					<div>
						问题描述 三星S5pv210开发板的tslib移植 本人最近刚玩的板子跟着老师给的手册书往开发板上移植qt功能.在移植tslib时.在寻找input event时触屏是有反应的,但是到了测试校准时就不 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
